#include <memory.h>

#include "tt_temporaly_array.h"


TtTemporalyString::TtTemporalyString( unsigned int count ) :
TtTemporalyArray<char>( count )
{
}

TtTemporalyString::TtTemporalyString( const std::string& str ) :
TtTemporalyArray<char>( str.size() + 1 )
{
  strncpy( ptr_, str.c_str(), size_ );
}

void
TtTemporalyString::ExtendSize( unsigned int increasing )
{
  int new_size = size_ + increasing;
  char* tmp = new char[new_size];
  memcpy( tmp, ptr_, size_ );
  delete[] ptr_;
  ptr_ = tmp;
  size_ = new_size;
}
