#include "ttl_define.h"
#include "tt_exception.h"

#include "tt_font.h"


TtFont
TtFont::DEFAULT;

TtFont::TtFont( void ) :
handle_( ::CreateFont(
  12, 0, 0, 0, FW_NORMAL, FALSE, FALSE, FALSE,
  SHIFTJIS_CHARSET, OUT_DEFAULT_PRECIS,
  CLIP_DEFAULT_PRECIS, DEFAULT_QUALITY,
  DEFAULT_PITCH | FF_DONTCARE, NULL ) )
{
  if ( handle_ == NULL ) {
    throw TT_WIN_SYSTEM_CALL_EXCEPTION( FUNC_NAME_OF( ::CreateFont ) );
  }
}

HFONT
TtFont::GetHandle( void )
{
  return handle_;
}
